commit e19e11d69bf779be35a1abe5d1a2da6a88718495
Author: freddy77 <freddy77>
Date:   Fri Feb 27 10:37:41 2009 +0000

    replace errx and warnx

diff --git a/ChangeLog b/ChangeLog
index 4ced9a7..334e58c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Feb 27 11:37:34 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/unittests/common.c:
+	- replace errx and warnx cause not that portable
+
 Fri Feb 27 11:11:32 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac include/tds_sysdep_private.h:
 	* src/odbc/unittests/freeclose.c src/odbc/unittests/timeout3.c:
@@ -1323,4 +1327,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2731 2009/02/27 10:11:42 freddy77 Exp $
+$Id: ChangeLog,v 1.2732 2009/02/27 10:37:41 freddy77 Exp $
diff --git a/src/dblib/unittests/common.c b/src/dblib/unittests/common.c
index 58b6c1b..5a8089b 100644
--- a/src/dblib/unittests/common.c
+++ b/src/dblib/unittests/common.c
@@ -16,9 +16,7 @@
 #include "replacements.h"
 #endif
 
-#include <err.h>
-
-static char software_version[] = "$Id: common.c,v 1.27 2009/02/06 10:11:09 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.28 2009/02/27 10:37:41 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 typedef struct _tag_memcheck_t
@@ -223,7 +221,7 @@ read_login_info(int argc, char **argv)
 
 	if ((INPUT = fopen(sql_file, "r")) == NULL) {
 		fflush(stdout);
-		warnx("could not open SQL input file \"%s\"\n", sql_file);
+		fprintf(stderr, "could not open SQL input file \"%s\"\n", sql_file);
 	}
 
 	if (!free_file_registered)
@@ -248,12 +246,14 @@ sql_cmd(DBPROCESS *dbproc, FILE *stream)
 	while ((p = fgets(line, (int)sizeof(line), stream)) != NULL && strcasecmp("go\n", p) != 0) {
 		printf("\t%3d: %s", ++i, p);
 		if ((erc = dbcmd(dbproc, p)) != SUCCEED) {
-			errx(1, "%s: error: could write \"%s\" to dbcmd()\n", BASENAME, p);
+			fprintf(stderr, "%s: error: could write \"%s\" to dbcmd()\n", BASENAME, p);
+			exit(1);
 		}
 	}
 
 	if (ferror(stream)) {
-		errx(1, "%s: error: could not read SQL input file \"%s\"\n", BASENAME, sql_file);
+		fprintf(stderr, "%s: error: could not read SQL input file \"%s\"\n", BASENAME, sql_file);
+		exit(1);
 	}
 
 	return erc;

